GET /v1/projects/{projectGuid}/workhours

visma.com

Summary: Get all the work hours for phases of a project for invoicing
Operation ID: WorkHours_GetProjectWorkHours
Auth: unknown

Parameters (7)

endDate (string, query, optional)

Optional: starting date to which to get the hours. Default all.

isBillable (boolean, query, optional)

Optional: Filter the work hours. If true/false, only the billable/non-billable ones are returned. If null, all are returned. Default is null.

isBilled (boolean, query, optional)

Optional: Filter the work hours. If true/false, only the ones that are/are not invoiced are returned. If null, all are returned. Default is null.

pageToken (string, query, optional)

Optional: page token to fetch the next page.

projectGuid (string, path, required)

ID of the project.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default 20, maximum 100.

startDate (string, query, optional)

Optional: starting date from which to get the hours. Default all.

No probe data for this endpoint yet.